Name:          python-pbr
Version:       5.11.1
Release:       4mamba
Summary:       A library that injects some useful and sensible default behaviors into your setuptools run
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/pbr
Source:        https://pypi.debian.net/pbr/pbr-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes: python-pbr < 5.11.1-2mamba
%pyver_package
%endif

%prep
%setup -q -n pbr-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pbr; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
sed -i "\,%{_bindir}/pbr,d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/pbr*
%dir %{python_sitearch}/pbr-%{version}-py*.egg-info
%{python_sitearch}/pbr-%{version}-py*.egg-info/*
%doc AUTHORS LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 5.11.1-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Sep 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.1-3mamba
- resolve bidir conflict

* Sun Sep 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.1-2mamba
- fix missing -pyX suffix to built packages

* Wed Jan 11 2023 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Fri Aug 12 2022 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Mon Feb 07 2022 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- rebuilt with python3 and with distdeps

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created using the webbuild interface
